Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.coverage
Interface DiscretePointCoverage

All Superinterfaces:
  Coverage, DiscreteCoverage

    @UML(identifier="CV_DiscretePointCoverage",
         specification=ISO_19123)
    public interface DiscretePointCoverage

extends DiscreteCoverage

A discrete coverage characterized by a finite domain consisting of points. Generally, the domain is a set of irregularly distributed points. However, the principal use of discrete point coverages is to provide a basis for continuous coverage functions, where the evaluation of the continuous coverage function is accomplished by interpolation between the points of the discrete point coverage. Most interpolation algorithms depend upon a structured pattern of spatial relationships between the points. This requires either that the points in the spatial domain of the discrete point coverage be arranged in a regular way, or that the spatial domain of the continuous coverage be partitioned in a regular way in relation to the points of the discrete point coverage. Grid coverages employ the first method; Thiessen polygon coverages and TIN's employ the second.

EXAMPLE: A set of hydrographic soundings is a discrete point coverage.

`DiscretePointCoverage` inherits the `elements` and the operations `locate`, `find`, and `list` from `DiscreteCoverage`, with the restriction that the associated geometry-value pairs and those returned by the operations shall be limited to point-value pairs.

Method Summary
`List<PointValuePair>` | `find(DirectPosition p, int limit)` Returns the sequence of point-value pairs that include the domain objects nearest to the direct position and their distances from the direction position.
`Set<PointValuePair>` | `getElements()` Returns the set of point-value pairs included in this coverage.
`Set<PointValuePair>` | `list()` Returns the dictionary of point-value pairs that contain the objects in the domain of the coverage each paired with its record of feature attribute values.
`Set<PointValuePair>` | `locate(DirectPosition p)` Returns the set of point-value pairs that include the domain objects containing the specified direct position.
`Set<PointValuePair>` | `select(Geometry s)` Returns the set of point-value pairs that contain domain objects that lie within the specified geometry and period.

Methods inherited from interface DiscreteCoverage
`evaluate, evaluateInverse`

Methods inherited from interface Coverage
`evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluateInverse, find, getCommonPointRule, getCoordinateReferenceSystem, getDimensionNames, getDomainElements, getDomainExtents, getEnvelope, getMetadataNames, getMetadataValue, getNumSampleDimensions, getRangeElements, getRangeType, getRenderableImage, getSampleDimension, getSources, select`

Method Detail

### getElements

    @UML(identifier="element",
         obligation=OPTIONAL,
         specification=ISO_19123)
    Set<PointValuePair> getElements()

  Returns the set of point-value pairs included in this coverage.

  Specified by:
    `getElements` in interface `DiscreteCoverage`

### locate

    @UML(identifier="locate",
         obligation=OPTIONAL,
         specification=ISO_19123)
    Set<PointValuePair> locate(DirectPosition p)

  Returns the set of point-value pairs that include the domain objects containing the specified direct position.

  Specified by:
    `locate` in interface `DiscreteCoverage`

### list

    @UML(identifier="list",
         obligation=MANDATORY,
         specification=ISO_19123)
    Set<PointValuePair> list()

  Returns the dictionary of point-value pairs that contain the objects in the domain of the coverage each paired with its record of feature attribute values.

  Specified by:
    `list` in interface `Coverage`

### select

    @UML(identifier="select",
         obligation=MANDATORY,
         specification=ISO_19123)
    Set<PointValuePair> select(Geometry s)

  Returns the set of point-value pairs that contain domain objects that lie within the specified geometry and period. If `s` is null, the operation shall return all point-value pairs that contain domain objects within `t`. If the value of `t` is null, the operation shall return all point-value pair that contain domain objects within `s`.

  TODO:
    Missing the TM_Period argument.

### find

    @UML(identifier="find",
         obligation=MANDATORY,
         specification=ISO_19123)
    List<PointValuePair> find(DirectPosition p,
                                                                                     int limit)

  Returns the sequence of point-value pairs that include the domain objects nearest to the direct position and their distances from the direction position. The sequence shall be ordered by distance from the direct position, beginning with the record containing the domain object nearest to the direct position. The length of the sequence (the number of point-value pairs returned) shall be no greater than the number specified by the parameter `limit`. The default shall be to return a single point-value pair. The operation shall return a warning if the last domain object in the sequence is at a distance from the direct position equal to the distance of other domain objects that are not included in the sequence.

  Specified by:
    `find` in interface `Coverage`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.